/* CEClassEditor+FileHandling.h				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */

#import "CEClassEditor.h"

@interface CEClassEditor ( FileHandling )

- _try:path withAlternatives:anArray forText:aText andGetStyle:(int *)aStyle andSetPath:realPath;
- _readFile:path forText:aText andGetStyle:(int *)aStyle andSetPath:realPath;
- (BOOL)_isFileRTF:path;

- (const char *)filename;

- _parseMethodFile;
- _writeText:aText withStyle:(int)aStyle to:path;

- (BOOL)_selectSourceForMethod:aMethod;

// Working with documentation...

- checkDocumentation:sender;
- (BOOL)_selectDocuForMethod:aMethod;
- _addDocuForMethod:aMethod;

@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */